Loading...
Searching...
No Matches
_HfsPrivateFSData Struct Reference

`#include <hfs.h>`

## Data Fields

uint8_t | alloc_map [(1<< 16)/8]
char | bad_blocks_loaded
HfsPrivateLinkExtent * | bad_blocks_xtent_list
unsigned int | bad_blocks_xtent_nb
HfsPrivateFile * | catalog_file
HfsPrivateFile * | extent_file
HfsMasterDirectoryBlock * | mdb

## Field Documentation

## alloc_map

uint8_t _HfsPrivateFSData::alloc_map

## bad_blocks_loaded

char _HfsPrivateFSData::bad_blocks_loaded

## bad_blocks_xtent_list

HfsPrivateLinkExtent * _HfsPrivateFSData::bad_blocks_xtent_list

## bad_blocks_xtent_nb

unsigned int _HfsPrivateFSData::bad_blocks_xtent_nb

## catalog_file

HfsPrivateFile * _HfsPrivateFSData::catalog_file

## extent_file

HfsPrivateFile * _HfsPrivateFSData::extent_file

## mdb

HfsMasterDirectoryBlock * _HfsPrivateFSData::mdb

The documentation for this struct was generated from the following files:

- libparted/fs/hfs/hfs.h
- libparted/fs/r/hfs/hfs.h